%define less_p_vers 2.07

Summary:	A text file browser similar to more, but better
Name:		less
Version:	632
Release:	%mkrel 1
License:	GPLv3+ or BSD-like
Url:		https://www.greenwoodsoftware.com/less
Group:		File tools
#Source0:	https://www.greenwoodsoftware.com/less/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/gwsw/less/archive/refs/tags/v%{version}/%{name}-%{version}.tar.xz
Source1:	faq_less.html
Source2:	https://www-zeuthen.desy.de/~friebel/unix/less/lesspipe-%{less_p_vers}.tar.gz
Patch0:		less-374-manpages.patch
Patch2:		lesspipe-2.07-posix.patch
Patch3:		less-382-fixline.patch
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	groff-for-man
# lesspipe.sh requires file
Requires:	file
Recommends:	html2text

%description
The less utility is a text file browser that resembles more, but has
more capabilities.  Less allows you to move backwards in the file as
well as forwards.  Since less doesn't have to read the entire input file
before it starts, less starts up more quickly than text editors (for
example, vi).

You should install less because it is a basic utility for viewing text
files, and you'll use it frequently.

%prep
%setup -q -a 2
%patch0 -p1
%patch2 -p1
%patch3 -p1 -b .fixline

chmod a+r lesspipe-%less_p_vers/*
cp -a lesspipe-%less_p_vers/README.md README.md.lesspipe

%build
CFLAGS=$(echo "%{optflags} -DHAVE_LOCALE" | sed -e s/-fomit-frame-pointer//)
autoreconf -vfi
%configure
%__make -f Makefile.aut distfiles
%make_build
cd lesspipe-%less_p_vers
./configure --prefix=%{_bindir}
cd ..

%install
%make_install
# faq
install -m 644 %{SOURCE1} .
cd lesspipe-%less_p_vers
%make_install PREFIX=%{_prefix}
%__mkdir_p %{buildroot}%{_sysconfdir}/bash_completion.d
%__mkdir_p %{buildroot}%{_datadir}/zsh/site-functions
%__cp less_completion %{buildroot}%{_sysconfdir}/bash_completion.d/less_completion
%__cp _less %{buildroot}%{_datadir}/zsh/site-functions/
cd ..
mkdir -p %buildroot%_sysconfdir/profile.d/
cat << EOF > %buildroot%_sysconfdir/profile.d/20less.sh
CHARSET=\$(locale charmap 2> /dev/null)
case "\$CHARSET" in
       UTF-8)
               export LESSCHARSET="\${LESSCHARSET:-utf-8}"
       ;;
       * )
               export LESSCHARSET="\${LESSCHARSET:-koi8-r}"
       ;;
esac
# Make a filter for less
export LESSOPEN="|/usr/bin/lesspipe.sh %s"
EOF

cat << EOF > %buildroot%_sysconfdir/profile.d/20less.csh
if ! ( \$?LESSCHARSET ) then
	set CHARSET=\`locale charmap\`
	if ( "\$CHARSET" == "UTF-8" ) then
		setenv LESSCHARSET utf-8
	else
		setenv LESSCHARSET koi8-r
	endif
endif
# Make a filter for less
setenv LESSOPEN "|/usr/bin/lesspipe.sh %s"
EOF

install -m644 lessecho.1 %{buildroot}%{_mandir}/man1

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_sysconfdir}/profile.d/*
%{_sysconfdir}/bash_completion.d/less_completion
%{_datadir}/zsh/site-functions/_less


%changelog
* Wed May 03 2023 tex - 632-1pclos2023
- new version
